package com.cyl.manager.ums.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cyl.manager.ums.domain.Pet;

/**
 * 宠物档案Mapper接口
 *
 * @author daixiande
 */
public interface PetMapper extends BaseMapper<Pet> {
    /**
     * 查询宠物档案
     *
     * @param id 宠物档案主键
     * @return 宠物档案
     */
    Pet selectById(Integer id);

    /**
     * 新增宠物档案
     *
     * @param pet 宠物档案
     * @return 结果
     */
    int insert(Pet pet);

    /**
     * 修改宠物档案
     *
     * @param pet 宠物档案
     * @return 结果
     */
    int update(Pet pet);

    /**
     * 删除宠物档案
     *
     * @param id 宠物档案主键
     * @return 结果
     */
    int deleteById(Integer id);

    /**
     * 批量删除宠物档案
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Integer[] ids);

    /**
     * 更新或插入宠物档案
     *
     * @param pet 宠物档案
     * @return 结果
     */
    int insertOrUpdate(Pet pet);
}
